Subject: bug#10747: ImageMagick does not return much metadata

From: Juri Linkov <[email-masked]>
Date: Sat, 29 Sep 2012 22:39:11 +0300

>> It is possible to get the value of delay for using in animated images by
>> `MagickGetImageDelay' as demonstrated in the trivial patch below.
>
> You could install this in the trunk now if you like.
> I don't consider it a complete solution because there is other metadata
> besides delay.

I have not yet installed this patch because the property `delay'
is necessary for animated gifs, but they are still not working
with ImageMagick.  The same image is displayed for every value
of the :index parameter of the animated gif.  This bug is reported at
bug#7978.  Maybe this bug exists only in old ImageMagick libraries.
I'll try to get the latest version of ImageMagick to confirm whether
it improves that.